Skip to main content
POST
/
v6
/
reports
/
agedAccountsReceivable
Aged Accounts Receivable
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/agedAccountsReceivable \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipients": {
    "emails": [
      "<string>"
    ],
    "ccEmails": [
      "<string>"
    ],
    "bccEmails": [
      "<string>"
    ]
  },
  "grouping": {
    "period": "MONTHLY",
    "dimensionId": "tdim_439512"
  }
}
'
import requests

url = "https://sandbox.tight.com/v6/reports/agedAccountsReceivable"

payload = {
"recipients": {
"emails": ["<string>"],
"ccEmails": ["<string>"],
"bccEmails": ["<string>"]
},
"grouping": {
"period": "MONTHLY",
"dimensionId": "tdim_439512"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: {emails: ['<string>'], ccEmails: ['<string>'], bccEmails: ['<string>']},
grouping: {period: 'MONTHLY', dimensionId: 'tdim_439512'}
})
};

fetch('https://sandbox.tight.com/v6/reports/agedAccountsReceivable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "json": [
      {
        "name": "East Region",
        "data": [
          {
            "name": "Acme Corp",
            "balanceCurrent": 100000,
            "balance0to30": 50000,
            "balance31to60": 25000,
            "balance61to90": 10000,
            "balance91plus": 5000,
            "totalBalance": 190000
          }
        ]
      }
    ],
    "url": "<string>",
    "meta": {
      "title": "<string>",
      "generatedOn": "2023-11-07T05:31:56Z",
      "generatedBy": "John Doe",
      "footerLine": "Generated by Tight"
    }
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
exportType
enum<string>

Export format for the report

Available options:
JSON,
PDF,
XLSX
recipients
object

Email recipients for the report

grouping
object

Grouping options for the report

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.